www.cendio.com
Bug 6195 - Setting popup menu key to "Print" on Windows does not work
: Setting popup menu key to "Print" on Windows does not work
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-03-15 10:57 by
Modified: 2017-09-04 13:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-03-15 10:57:00
Setting popup menu key to "Print" on Windows does not work. It works on Linux,
though (when using Shift in combination with the PrintScrn/SysRq key).
------- Comment #1 From cendio 2017-03-21 14:01:46 -------
Print was probably a bad idea to have in this list as it is caught by the local
system on most platforms. So the easy solution is just to remove it from our
list.
------- Comment #2 From cendio 2017-06-02 11:21:48 -------
https://github.com/TigerVNC/tigervnc/pull/470
------- Comment #3 From cendio 2017-06-07 10:20:22 -------
We'll merge this upstream and then do a vendor drop to get it into our tree.
------- Comment #5 From cendio 2017-08-25 14:00:36 -------
Fixed now.

Note that a vendordrop was not made at this time. A lot of changes has been
made upstream since the last vendordrop was a long time ago. We will have a
look at bringing in these other changes at a later stage.
------- Comment #6 From cendio 2017-08-28 14:10:21 -------
I can still configure the client to use "Print" as a menu key. (tlclient ->
options -> menu key).
------- Comment #7 From cendio 2017-08-28 14:16:13 -------
Also, what's the reasoning behind the prosaic tag? It's a user-visible change
after all.
------- Comment #9 From cendio 2017-08-29 12:20:46 -------
Good catch. I forgot to test the options before connecting.. Fixed now.

The reasoning behind the 'prosaic' tag is that I felt that the change was very
small.
------- Comment #10 From cendio 2017-09-04 13:48:21 -------
Seems to be properly updated now. I also tested upgrading from a client where
"Print" was configured. The result was a silen revert to "None", which seems
acceptable.